from aiogram import Router
from aiogram.types import Message

from bot.handlers.custom.econom import register_user_on_message

# Настройки экспорта и роутера
__all__ = ("router",)
router: Router = Router(name=__name__)


@router.message()
async def default_messages(message: Message) -> None:
    """Обработчик всех необработанных сообщений."""
    await register_user_on_message(message)